| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::GpuSharedParametersUsage Class Reference
Core » Materials

This class records the usage of a set of shared parameters in a concrete set of GpuProgramParameters. More...

`#include <OgreGpuProgramParams.h>`

Inheritance diagram for Ogre::GpuSharedParametersUsage:
[legend]

## Public Member Functions
| GpuSharedParametersUsage (GpuSharedParametersPtr sharedParams, GpuProgramParameters *params)
| Construct usage. More...
void | _copySharedParamsToTargetParams ()
| Update the target parameters by copying the data from the shared parameters. More...
const Any & | _getRenderSystemData () const
| Internal method that the RenderSystem might use to store optional data. More...
void | _setRenderSystemData (const Any &data) const
| Internal method that the RenderSystem might use to store optional data. More...
const String & | getName () const
| Get the name of the shared parameter set. More...
GpuSharedParametersPtr | getSharedParams () const
GpuProgramParameters * | getTargetParams () const

## Detailed Description

This class records the usage of a set of shared parameters in a concrete set of GpuProgramParameters.

## Constructor & Destructor Documentation

## ◆ GpuSharedParametersUsage()

Ogre::GpuSharedParametersUsage::GpuSharedParametersUsage | ( | GpuSharedParametersPtr | sharedParams,
|  | GpuProgramParameters * | params
| ) |  |

Construct usage.

## Member Function Documentation

## ◆ _copySharedParamsToTargetParams()

void Ogre::GpuSharedParametersUsage::_copySharedParamsToTargetParams | ( |  | ) |

Update the target parameters by copying the data from the shared parameters.

Note
  This method may not actually be called if the RenderSystem supports using shared parameters directly in their own shared buffer; in which case the values should not be copied out of the shared area into the individual parameter set, but bound separately.

## ◆ getName()

const String& Ogre::GpuSharedParametersUsage::getName | ( | void |  | ) | const
| inline

Get the name of the shared parameter set.

References Ogre::GpuSharedParameters::getName().

## ◆ getSharedParams()

GpuSharedParametersPtr Ogre::GpuSharedParametersUsage::getSharedParams | ( |  | ) | const
| inline

## ◆ getTargetParams()

GpuProgramParameters* Ogre::GpuSharedParametersUsage::getTargetParams | ( |  | ) | const
| inline

## ◆ _setRenderSystemData()

void Ogre::GpuSharedParametersUsage::_setRenderSystemData | ( | const Any & | data | ) | const
| inline

Internal method that the RenderSystem might use to store optional data.

## ◆ _getRenderSystemData()

const Any& Ogre::GpuSharedParametersUsage::_getRenderSystemData | ( |  | ) | const
| inline

Internal method that the RenderSystem might use to store optional data.

The documentation for this class was generated from the following file:

- OgreGpuProgramParams.h